Bug 14135 - qpois errors for degenerate distribution
qpois errors for degenerate distribution
Status: CLOSED FIXED
Product: R
Classification: Unclassified
Component: Analyses
old
ix86 (32-bit) Windows 32-bit
: P5 normal
Assigned To: Jitterbug compatibility account
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 16:13 UTC by Jitterbug compatibility account
Modified: 2009-12-14 20:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jitterbug compatibility account 2009-12-14 16:13:58 UTC
From: Jerry.Lewis@biogenidec.com
Full_Name: Jerry W. Lewis
Version: 2.10.0
OS: XP Professional
Submission from: (NULL) (96.237.55.233)


For a degenerate Poisson distribution (lambda==0), qpois(p,0,lower.tail) should
return 0 for any valid p, but qpois(1,0) and qpois(0,0,F) incorrectly return
Inf.

Comment 1 Jitterbug compatibility account 2009-12-14 20:30:10 UTC
From: Martin Maechler <maechler@stat.math.ethz.ch>
>>>>> "JL" == Jerry Lewis <Jerry.Lewis@biogenidec.com>
>>>>>     on Mon, 14 Dec 2009 11:15:10 +0100 (CET) writes:

    JL> Full_Name: Jerry W. Lewis Version: 2.10.0 OS: XP
    JL> Professional Submission from: (NULL) (96.237.55.233)


    JL> For a degenerate Poisson distribution (lambda==0),
    JL> qpois(p,0,lower.tail) should return 0 for any valid p,
    JL> but qpois(1,0) and qpois(0,0,F) incorrectly return Inf.

It's very much a borderline case.

But you are right.  This will be fixed in the next versions of R,
but not yet in  R 2.10.1  released a few hours ago ... ;-)

Martin Maechler, ETH Zurich

Comment 2 Jitterbug compatibility account 2009-12-15 14:51:00 UTC
NOTES:
 Fixed in 2.10.1 patched
Comment 3 Jitterbug compatibility account 2009-12-15 14:51:31 UTC
Audit (from Jitterbug):
Tue Dec 15 08:51:30 2009	ripley	changed notes
Tue Dec 15 08:51:31 2009	ripley	moved from incoming to Analyses-fixed